TokenTag (Apache OpenNLP :: API 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.util, record: TokenTag

Package opennlp.tools.util

# Record Class TokenTag

java.lang.Object
java.lang.Record
opennlp.tools.util.TokenTag

public record TokenTag(String token, String tag, String[] additionalData) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenTag(String token, String tag, String[] additionalData)`
  Creates an instance of a `TokenTag` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `additionalData()`
  Returns the value of the `additionalData` record component.
  `static TokenTag[]`
  `create(String[] toks, String[] tags)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `static String[]`
  `extractTags(TokenTag[] tuples)`
  `static String[]`
  `extractTokens(TokenTag[] tuples)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `tag()`
  Returns the value of the `tag` record component.
  `String`
  `token()`
  Returns the value of the `token` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TokenTag

    public TokenTag(String token, String tag, String[] additionalData)
    Creates an instance of a `TokenTag` record class.
    Parameters:
      `token` - the value for the `token` record component
      `tag` - the value for the `tag` record component
      `additionalData` - the value for the `additionalData` record component

- ## Method Details

  - ### extractTokens

    public static String[] extractTokens(TokenTag[] tuples)

  - ### extractTags

    public static String[] extractTags(TokenTag[] tuples)

  - ### create

    public static TokenTag[] create(String[] toks, String[] tags)

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### token

    public String token()
    Returns the value of the `token` record component.
    Returns:
      the value of the `token` record component

  - ### tag

    public String tag()
    Returns the value of the `tag` record component.
    Returns:
      the value of the `tag` record component

  - ### additionalData

    public String[] additionalData()
    Returns the value of the `additionalData` record component.
    Returns:
      the value of the `additionalData` record component